CREATE TABLE gtg_hns_locations_ (
    LOCATION_ID                       NUMBER(18, 0) ,
    OBJECT_ID                         NUMBER(18, 0) ,
    OBJECT_TYPE_CODE                  VARCHAR2(400) ,
    WORK_LOCATION_ID                  NUMBER(18, 0) ,
    LOCATION_TYPE                     VARCHAR2(400) ,
    LOCATION_SITE                     VARCHAR2(400) ,
    RETPR_SPECIFIC_LOCATION           VARCHAR2(400) ,
    RETPR_ADDR_LINE1                  VARCHAR2(400) ,
    RETPR_ADDR_LINE2                  VARCHAR2(400) ,
    RETPR_CITY                        VARCHAR2(400) ,
    RETPR_STATE                       VARCHAR2(400) ,
    RETPR_ZIP_CODE                    VARCHAR2(400) ,
    RETPR_COUNTRY                     VARCHAR2(400) ,
    DELETED_FLAG                      VARCHAR2(4)   ,
    LOCATION_TYPE_CODE                VARCHAR2(120) ,
    OFFSITE_LOC_TYPE_CODE             VARCHAR2(120) ,
    BIZ_CONT_PLAN_ACTIVATED_AT        TIMESTAMP(6)  ,
    BIZ_CONT_PLAN_ACTIVATED_FLAG      VARCHAR2(4)   ,
    BIZ_CONT_PLAN_ACT_BY_EMPID        NUMBER(18, 0) ,
    EMERG_ACTION_PLAN_ACTIVATED_AT    TIMESTAMP(6)  ,
    EMERG_ACTION_PLAN_ACT_BY_EMPID    NUMBER(18, 0) ,
    EMERG_ACTION_PLAN_ACT_FLAG        VARCHAR2(4)   ,
    EVACUATION_FLAG                   VARCHAR2(4)   ,
    EVACUATION_LENGTH_OF_TIME         VARCHAR2(40)  ,
    EVACUATION_ORDERED_AT             TIMESTAMP(6)  ,
    EVACUATION_ORDERED_BY_EMP_ID      NUMBER(18, 0) ,
    EVACUATION_TYPE_CODE              VARCHAR2(120) ,
    FACILITY_CLOSED_AT                TIMESTAMP(6)  ,
    FACILITY_CLOSED_BY_EMP_ID         NUMBER(18, 0) ,
    FACILITY_CLOSED_FLAG              VARCHAR2(4)   ,
    FACILITY_CLOSED_LENGTH_OF_TIME    VARCHAR2(40)  ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10             TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    OBJECT_ID                         NUMBER(18, 0) ,
    OBJECT_TYPE_CODE                  VARCHAR2(400) ,
    WORK_LOCATION_ID                  NUMBER(18, 0) ,
    LOCATION_TYPE                     VARCHAR2(400) ,
    LOCATION_SITE                     VARCHAR2(400) ,
    RETPR_SPECIFIC_LOCATION           VARCHAR2(400) ,
    RETPR_ADDR_LINE1                  VARCHAR2(400) ,
    RETPR_ADDR_LINE2                  VARCHAR2(400) ,
    RETPR_CITY                        VARCHAR2(400) ,
    RETPR_STATE                       VARCHAR2(400) ,
    RETPR_ZIP_CODE                    VARCHAR2(400) ,
    RETPR_COUNTRY                     VARCHAR2(400) ,
    DELETED_FLAG                      VARCHAR2(4)   ,
    LOCATION_TYPE_CODE                VARCHAR2(120) ,
    OFFSITE_LOC_TYPE_CODE             VARCHAR2(120) ,
    BIZ_CONT_PLAN_ACTIVATED_AT        TIMESTAMP(6)  ,
    BIZ_CONT_PLAN_ACTIVATED_FLAG      VARCHAR2(4)   ,
    BIZ_CONT_PLAN_ACT_BY_EMPID        NUMBER(18, 0) ,
    EMERG_ACTION_PLAN_ACTIVATED_AT    TIMESTAMP(6)  ,
    EMERG_ACTION_PLAN_ACT_BY_EMPID    NUMBER(18, 0) ,
    EMERG_ACTION_PLAN_ACT_FLAG        VARCHAR2(4)   ,
    EVACUATION_FLAG                   VARCHAR2(4)   ,
    EVACUATION_LENGTH_OF_TIME         VARCHAR2(40)  ,
    EVACUATION_ORDERED_AT             TIMESTAMP(6)  ,
    EVACUATION_ORDERED_BY_EMP_ID      NUMBER(18, 0) ,
    EVACUATION_TYPE_CODE              VARCHAR2(120) ,
    FACILITY_CLOSED_AT                TIMESTAMP(6)  ,
    FACILITY_CLOSED_BY_EMP_ID         NUMBER(18, 0) ,
    FACILITY_CLOSED_FLAG              VARCHAR2(4)   ,
    FACILITY_CLOSED_LENGTH_OF_TIME    VARCHAR2(40)  ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10             TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    CONSTRAINT pk_gtg_hns_locations_ PRIMARY KEY (LOCATION_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, LOCATION_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
